## ros-one-jsk-topic-tools 2.2.16-2jammy.20251023.1039

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-2jammy.20251023.1039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:39:21 +0000

ros-one-jsk-topic-tools (2.2.16-0jammy) jammy; urgency=high

  * remove inline from ConnectionBaseNodelet::isSubscribed() (#1812 <https://github.com/jsk-ros-pkg/jsk_common/issues/1812>)
    
      * jsk_peceptino could not find isSubscribed if it is defined as inline
    ```
    usr/lib/x86_64-linux-gnu/libopencv_phase_unwrapping.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_optflow.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_ximgproc.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_video.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_videoio.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_imgcodecs.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_objdetect.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_calib3d.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_dnn.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_features2d.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_flann.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_photo.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_imgproc.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_core.so.4.5.4d
    2025-01-05T05:23:12.3723125Z /usr/bin/ld: /tmp/ccUI43It.ltrans0.ltrans.o:(.data.rel.ro+0xc08): undefined reference to jsk_topic_tools::ConnectionBasedNodelet::isSubscribed()'
    2025-01-05T05:23:12.3918628Z /usr/bin/ld: /tmp/ccUI43It.ltrans7.ltrans.o:(.data.rel.ro+0x578): undefined reference to jsk_topic_tools::ConnectionBasedNodelet::isSubscribed()'
    2025-01-05T05:23:12.4099509Z /usr/bin/ld: /tmp/ccUI43It.ltrans14.ltrans.o:(.data.rel.ro+0x178): undefined reference to jsk_topic_tools::ConnectionBasedNodelet::isSubscribed()' follow
    ```
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-topic-tools (2.2.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-topic-tools (2.2.14-0jammy) jammy; urgency=high

  * [jsk_topic_tools] add allow_headerless option to synchronize_republish (#1794 <https://github.com/jsk-ros-pkg/jsk_common/issues/1794>)
  * use catkin_install_python to install python scripts (#1805 <https://github.com/jsk-ros-pkg/jsk_common/issues/1805>)
  * [jsk_topic_tools] Add reset option to use boolean_node with rosbag (#1796 <https://github.com/jsk-ros-pkg/jsk_common/issues/1796>)
  * Contributors: Aoi Nakane, Koki Shinjo, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-topic-tools (2.2.13-0jammy) jammy; urgency=high

  * use hpp instead of deprecated .h pluginlib headers (#1777 <https://github.com/jsk-ros-pkg/jsk_common/issues/1777>)
  * Fix for noetic (#1774 <https://github.com/jsk-ros-pkg/jsk_common/issues/1774>)
    
      * test/test_transform_wrench.test: retry=3, time-limit=15
    
  * add test to check c++14/C++11/C++0x (#1785 <https://github.com/jsk-ros-pkg/jsk_common/issues/1785>)
    
      * auto lambda for c++14
    
  * add test to compile on 22.04, see #1770 <https://github.com/jsk-ros-pkg/jsk_common/issues/1770> (#1773 <https://github.com/jsk-ros-pkg/jsk_common/issues/1773>)
    
      * revert code before C++11
      * <mutex> requries -std=c++11 compile options, but it is not used in source tree
      * avoid boost::bind (esp. global _1)
        it's deprecated to use global _1 from boost for a while now
        and the Debian ROS packages do not provide it anymore.
      * do not specify c++ standard
        it break with current log4cxx which requires c++17.
        No, going forward it's no option to specify the standard anymore.
        And it's not necessary either.
        same fix as https://github.com/jsk-ros-pkg/jsk_common/pull/1773/commits/18e200ca51ac035af3e8ab5955cde2b76fc9c980
      * fixup documentation
        this confused me when I looked through the code.
      * avoid boost::bind (esp. global _1)
        it's deprecated to use global _1 from boost for a while now
        and the Debian ROS packages do not provide it anymore.
      * update pluginlib includes
        the non-hpp headers are deprecated since kinetic
    
  * [test_topic_published.py, boolean_node.py] Enable importing modules (#1760 <https://github.com/jsk-ros-pkg/jsk_common/issues/1760>)
  * [jsk_topic_tools/DiagnosticNodelet] Use node name for diagnostic message (#1762 <https://github.com/jsk-ros-pkg/jsk_common/issues/1762>)
    
      * [jsk_topic_tools/DiagnosticNodelet] Use %.1f for readability
      * [jsk_topic_tools/DiagnosticNodelet] Use node name for diagnostic message
    
  * [jsk_topic_tools] Eval at every timer callback (#1758 <https://github.com/jsk-ros-pkg/jsk_common/issues/1758>)
  * Add ConstantRateThrottle Nodelet (#1748 <https://github.com/jsk-ros-pkg/jsk_common/issues/1748>)
    
      * [jsk_topic_tools] fix timer start flag of ConstantRateThrottleNodelet
      * [jsk_topic_tools] add a test for ConstantRateThrottle
      * [jsk_topic_tools] enalbe c++11 support
      * [jsk_topic_tools] add ConstantRateThrottleNodelet and sample/docs for it.
        [jsk_topic_tools] add constant_rate_throttle_node files
        [jsk_topic_tools] update for constant_rate_throttle_nodelet
        [jsk_topic_tools] add compiling of constant_rate_throttle_nodelet
        [jsk_topic_tools] update constatn_rate_throttle_nodelet
        [jsk_topic_tools] fix class name for ConstantRateThrottle
        [jsk_topic_tools] fix plugin build
        [jsk_topic_tools] update sample for constant_rate_nodelet
        [jsk_topic_tools] fix bugs
        [jsk_topic_tools] add constant_rate_throttle_nodelet docs
    
  * Fixed typo of Software License Agreement. and/o2r to and/or (#1764 <https://github.com/jsk-ros-pkg/jsk_common/issues/1764>)


## ros-one-jsk-topic-tools 2.2.16-2jammy.20251207.2310

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-2jammy.20251207.2310) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 23:10:17 +0000

## ros-one-jsk-topic-tools 2.2.16-2noble.20251023.1057

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_topic_tools)

# Use ccache if installed to make it fast to generate object files
if (CMAKE_VERSION VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif(CCACHE_FOUND)
endif()

find_package(catkin REQUIRED COMPONENTS
  diagnostic_updater
  dynamic_reconfigure
  eigen_conversions
  geometry_msgs
  image_transport
  message_generation
  nodelet
  roscpp
  rostime
  std_msgs
  std_srvs
  tf
  topic_tools
)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/include/jsk_topic_tools/nodelet_version.h.in
  ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/jsk_topic_tools/nodelet_version.h)

# download and install sample data
catkin_download(download_sample_pr2_wrench-2022-05-02 https://drive.google.com/uc?id=1ym_fxRTNZOTp4PCXIq_spJwFktoOkLDK
  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/sample/data
  FILENAME sample_pr2_wrench-2022-05-02.bag
  MD5 0e2d0d431f10875cb372c85faf32b91e
)
catkin_download(download_sample_tf https://drive.google.com/uc?id=15i7dPbMxrxR0j6KsH5mSgIWrNNTrYoV4
  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/sample/data
  FILENAME sample_tf.bag
  MD5 13cd56d8d85cdf80139bbe5f7a9e2ef0
)
add_custom_target(download ALL DEPENDS download_extra_data)

catkin_python_setup()
add_message_files(
  FILES TopicInfo.msg
)
add_service_files(
  FILES List.srv Update.srv ChangeTopic.srv PassthroughDuration.srv
)
generate_dynamic_reconfigure_options(
  cfg/ConstantRateThrottle.cfg
  cfg/LightweightThrottle.cfg
  cfg/StealthRelay.cfg
  cfg/SynchronizedThrottle.cfg
)
generate_messages()
catkin_package(
    DEPENDS
    CATKIN_DEPENDS topic_tools message_runtime nodelet std_msgs std_srvs roscpp rostime
    INCLUDE_DIRS include
    LIBRARIES jsk_topic_tools
    CFG_EXTRAS nodelet.cmake
)

## Generate jsk_topic_tools_version.h.
# Note that catkin_package_xml needs to be called, but it is called in catkin_package.
# split version in parts and pass to extra file
string(REPLACE "." ";" jsk_topic_tools_VERSION_LIST "${jsk_topic_tools_VERSION}")
list(LENGTH jsk_topic_tools_VERSION_LIST _count)
if(NOT _count EQUAL 3)
  message(FATAL_ERROR "jsk_topic_tools version '${jsk_topic_tools_VERSION}' does not match 'MAJOR.MINOR.PATCH' pattern")
endif()
list(GET jsk_topic_tools_VERSION_LIST 0 jsk_topic_tools_VERSION_MAJOR)
list(GET jsk_topic_tools_VERSION_LIST 1 jsk_topic_tools_VERSION_MINOR)
list(GET jsk_topic_tools_VERSION_LIST 2 jsk_topic_tools_VERSION_PATCH)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/include/jsk_topic_tools/jsk_topic_tools_version.h.in
  ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/jsk_topic_tools/jsk_topic_tools_version.h)


if(topic_tools_VERSION VERSION_GREATER "1.13.2")
  add_definitions("-Dtopic_tools_relay_stealth_EXISTS")
endif()

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
if(NOT APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif(NOT APPLE)
#include_directories(${Boost_INCLUDE_DIRS})
add_executable(standalone_complexed_nodelet src/standalone_complexed_nodelet.cpp src/log_utils.cpp)
add_executable(topic_buffer_server src/topic_buffer_server.cpp)
add_executable(topic_buffer_client src/topic_buffer_client.cpp)
add_executable(transform_merger src/transform_merger.cpp)
add_executable(static_transform_pose_stamped
  src/static_transform_pose_stamped.cpp)
target_link_libraries(transform_merger ${catkin_LIBRARIES})
target_link_libraries(static_transform_pose_stamped ${catkin_LIBRARIES})
add_dependencies(static_transform_pose_stamped ${PROJECT_NAME}_gencpp)
add_dependencies(topic_buffer_server ${PROJECT_NAME}_gencpp)
add_dependencies(topic_buffer_client ${PROJECT_NAME}_gencpp)
target_link_libraries(topic_buffer_server ${catkin_LIBRARIES})
target_link_libraries(topic_buffer_client ${catkin_LIBRARIES})
target_link_libraries(standalone_complexed_nodelet ${catkin_LIBRARIES})

include(${PROJECT_SOURCE_DIR}/cmake/nodelet.cmake)

macro(jsk_topic_tools_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)
  jsk_nodelet(${_nodelet_cpp} ${_nodelet_class} ${_single_nodelet_exec_name}
    jsk_topic_tools_nodelet_sources jsk_topic_tools_nodelet_executable_names)
endmacro(jsk_topic_tools_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)

# nodelet shared object
jsk_topic_tools_nodelet(src/constant_rate_throttle_nodelet.cpp
  "jsk_topic_tools/ConstantRateThrottle" "constant_rate_throttle")
jsk_topic_tools_nodelet(src/lightweight_throttle_nodelet.cpp
  "jsk_topic_tools/LightweightThrottle" "lightweight_throttle")
jsk_topic_tools_nodelet(src/mux_nodelet.cpp
  "jsk_topic_tools/MUX" "mux")
jsk_topic_tools_nodelet(src/relay_nodelet.cpp
  "jsk_topic_tools/Relay" "relay")
jsk_topic_tools_nodelet(src/deprecated_relay_nodelet.cpp
  "jsk_topic_tools/DeprecatedRelay" "deprecated_relay")
jsk_topic_tools_nodelet(src/stealth_relay_nodelet.cpp
  "jsk_topic_tools/StealthRelay" "stealth_relay")
jsk_topic_tools_nodelet(src/passthrough_nodelet.cpp
  "jsk_topic_tools/Passthrough" "passthrough")
jsk_topic_tools_nodelet(src/block_nodelet.cpp
  "jsk_topic_tools/Block" "block")
jsk_topic_tools_nodelet(src/snapshot_nodelet.cpp
  "jsk_topic_tools/Snapshot" "snapshot")
jsk_topic_tools_nodelet(src/hz_measure_nodelet.cpp
  "jsk_topic_tools/HzMeasure" "hz_measure")
jsk_topic_tools_nodelet(src/vital_checker_nodelet.cpp
  "jsk_topic_tools/VitalCheckerNodelet" "vital_checker")
jsk_topic_tools_nodelet(src/string_relay_nodelet.cpp
  "jsk_topic_tools/StringRelay" "string_relay")
jsk_topic_tools_nodelet(src/synchronized_throttle_nodelet.cpp
  "jsk_topic_tools/SynchronizedThrottle" "synchronized_throttle")

add_library(jsk_topic_tools SHARED
  ${jsk_topic_tools_nodelet_sources}
  src/timered_diagnostic_updater.cpp
  src/diagnostic_utils.cpp
  src/rosparam_utils.cpp
  src/time_accumulator.cpp
  src/vital_checker.cpp
  src/color_utils.cpp
  src/log_utils.cpp
  src/connection_based_nodelet.cpp
  src/diagnostic_nodelet.cpp
  src/series_boolean.cpp
  src/counter.cpp)
add_dependencies(jsk_topic_tools ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg)
target_link_libraries(jsk_topic_tools ${catkin_LIBRARIES})

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  set(ROSLINT_CPP_OPTS "--filter=-whitespace/parens,-whitespace/braces")
  roslint_cpp()
  roslint_python()
  macro(jsk_topic_tools_add_rostest file)
    list(APPEND jsk_topic_tools_test_files ${file})
    add_rostest(${file})
  endmacro()
  find_package(rostest REQUIRED)
  jsk_topic_tools_add_rostest(test/test_boolean_node.test)
  jsk_topic_tools_add_rostest(test/test_topic_buffer.test)
  jsk_topic_tools_add_rostest(test/test_topic_buffer_close_wait.test)
  # topic_buffer tests are tend to fail in GA because of CPU high load.
  # https://github.com/jsk-ros-pkg/jsk_common/pull/1739
  # jsk_topic_tools_add_rostest(test/test_topic_buffer_fixed_rate.launch)
  # jsk_topic_tools_add_rostest(test/test_topic_buffer_fixed_rate_and_update_rate.launch)
  # jsk_topic_tools_add_rostest(test/test_topic_buffer_update_rate.launch)
  jsk_topic_tools_add_rostest(test/test_constant_rate_throttle.test)
  jsk_topic_tools_add_rostest(test/test_lightweight_throttle.test)
  jsk_topic_tools_add_rostest(test/test_topic_compare.test)
  jsk_topic_tools_add_rostest(test/test_hz_measure.test)
  jsk_topic_tools_add_rostest(test/test_block.test)
  jsk_topic_tools_add_rostest(test/test_connection_based_nodelet.test)
  jsk_topic_tools_add_rostest(test/test_connection_based_transport.test)
  jsk_topic_tools_add_rostest(test/test_stealth_relay.test)
  jsk_topic_tools_add_rostest(test/test_synchronized_throttle.test)
  jsk_topic_tools_add_rostest(test/test_static_tf_republisher.test)
  jsk_topic_tools_add_rostest(test/test_pose_stamped_publisher.test)
  jsk_topic_tools_add_rostest(test/test_python_master_util.test)
  jsk_topic_tools_add_rostest(test/test_transform_wrench.test)
  catkin_add_nosetests(src/jsk_topic_tools/tests)
  catkin_add_gtest(test_rosparam_utils src/tests/test_rosparam_utils.cpp)
  target_link_libraries(test_rosparam_utils ${PROJECT_NAME})
  add_rostest_gtest(test_log_utils test/test_log_utils.launch src/tests/test_log_utils.cpp)
  target_link_libraries(test_log_utils ${PROJECT_NAME})

  # nodelets for testing
  add_library(jsk_topic_tools_test src/tests/test_log_utils_nodelet.cpp)
  target_link_libraries(jsk_topic_tools_test ${PROJECT_NAME})
  # testing with loading nodelet
  add_rostest_gtest(test_nodelet_log_utils test/test_nodelet_log_utils.test test/test_nodelet_log_utils.cpp)
  target_link_libraries(test_nodelet_log_utils ${PROJECT_NAME})
  add_dependencies(test_nodelet_log_utils jsk_topic_tools_test)
  if("$ENV{ROS_DISTRO}" STRGREATER "indigo")
    # rostest/publishtest is available on kinetic and later
    jsk_topic_tools_add_rostest(test/test_standalone_complexed_nodelet.test)
  elseif("$ENV{ROS_DISTRO}" STRGREATER "hydro")
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    jsk_topic_tools_add_rostest(test/test_tf_to_pose.test)
  endif()
endif()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(TARGETS topic_buffer_server topic_buffer_client jsk_topic_tools
  ${jsk_topic_tools_nodelet_executable_names}
  standalone_complexed_nodelet
  static_transform_pose_stamped
  transform_merger
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  jsk_topic_tools_nodelet.xml
  jsk_topic_tools_test_nodelet.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h" # Ignore *_version.h.in files
)

file(GLOB PYTHON_SCRIPTS scripts/*.py)
list(APPEND PYTHON_SCRIPTS scripts/is_synchronized scripts/rostopic_connection_list)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  PROGRAMS scripts/sample_topic_update_caller.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES ${jsk_topic_tools_test_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test
)
install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*.test" EXCLUDE
)
install(DIRECTORY cmake config launch sample
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-2noble.20251023.1057) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:57:54 +0000

ros-one-jsk-topic-tools (2.2.16-0noble) noble; urgency=high

  * remove inline from ConnectionBaseNodelet::isSubscribed() (#1812 <https://github.com/jsk-ros-pkg/jsk_common/issues/1812>)
    
      * jsk_peceptino could not find isSubscribed if it is defined as inline
    ```
    usr/lib/x86_64-linux-gnu/libopencv_phase_unwrapping.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_optflow.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_ximgproc.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_video.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_videoio.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_imgcodecs.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_objdetect.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_calib3d.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_dnn.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_features2d.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_flann.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_photo.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_imgproc.so.4.5.4d /usr/lib/x86_64-linux-gnu/libopencv_core.so.4.5.4d
    2025-01-05T05:23:12.3723125Z /usr/bin/ld: /tmp/ccUI43It.ltrans0.ltrans.o:(.data.rel.ro+0xc08): undefined reference to jsk_topic_tools::ConnectionBasedNodelet::isSubscribed()'
    2025-01-05T05:23:12.3918628Z /usr/bin/ld: /tmp/ccUI43It.ltrans7.ltrans.o:(.data.rel.ro+0x578): undefined reference to jsk_topic_tools::ConnectionBasedNodelet::isSubscribed()'
    2025-01-05T05:23:12.4099509Z /usr/bin/ld: /tmp/ccUI43It.ltrans14.ltrans.o:(.data.rel.ro+0x178): undefined reference to jsk_topic_tools::ConnectionBasedNodelet::isSubscribed()' follow
    ```
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-topic-tools (2.2.15-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-topic-tools (2.2.14-0noble) noble; urgency=high

  * [jsk_topic_tools] add allow_headerless option to synchronize_republish (#1794 <https://github.com/jsk-ros-pkg/jsk_common/issues/1794>)
  * use catkin_install_python to install python scripts (#1805 <https://github.com/jsk-ros-pkg/jsk_common/issues/1805>)
  * [jsk_topic_tools] Add reset option to use boolean_node with rosbag (#1796 <https://github.com/jsk-ros-pkg/jsk_common/issues/1796>)
  * Contributors: Aoi Nakane, Koki Shinjo, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-topic-tools (2.2.13-0noble) noble; urgency=high

  * use hpp instead of deprecated .h pluginlib headers (#1777 <https://github.com/jsk-ros-pkg/jsk_common/issues/1777>)
  * Fix for noetic (#1774 <https://github.com/jsk-ros-pkg/jsk_common/issues/1774>)
    
      * test/test_transform_wrench.test: retry=3, time-limit=15
    
  * add test to check c++14/C++11/C++0x (#1785 <https://github.com/jsk-ros-pkg/jsk_common/issues/1785>)
    
      * auto lambda for c++14
    
  * add test to compile on 22.04, see #1770 <https://github.com/jsk-ros-pkg/jsk_common/issues/1770> (#1773 <https://github.com/jsk-ros-pkg/jsk_common/issues/1773>)
    
      * revert code before C++11
      * <mutex> requries -std=c++11 compile options, but it is not used in source tree
      * avoid boost::bind (esp. global _1)
        it's deprecated to use global _1 from boost for a while now
        and the Debian ROS packages do not provide it anymore.
      * do not specify c++ standard
        it break with current log4cxx which requires c++17.
        No, going forward it's no option to specify the standard anymore.
        And it's not necessary either.
        same fix as https://github.com/jsk-ros-pkg/jsk_common/pull/1773/commits/18e200ca51ac035af3e8ab5955cde2b76fc9c980
      * fixup documentation
        this confused me when I looked through the code.
      * avoid boost::bind (esp. global _1)
        it's deprecated to use global _1 from boost for a while now
        and the Debian ROS packages do not provide it anymore.
      * update pluginlib includes
        the non-hpp headers are deprecated since kinetic
    
  * [test_topic_published.py, boolean_node.py] Enable importing modules (#1760 <https://github.com/jsk-ros-pkg/jsk_common/issues/1760>)
  * [jsk_topic_tools/DiagnosticNodelet] Use node name for diagnostic message (#1762 <https://github.com/jsk-ros-pkg/jsk_common/issues/1762>)
    
      * [jsk_topic_tools/DiagnosticNodelet] Use %.1f for readability
      * [jsk_topic_tools/DiagnosticNodelet] Use node name for diagnostic message
    
  * [jsk_topic_tools] Eval at every timer callback (#1758 <https://github.com/jsk-ros-pkg/jsk_common/issues/1758>)
  * Add ConstantRateThrottle Nodelet (#1748 <https://github.com/jsk-ros-pkg/jsk_common/issues/1748>)
    
      * [jsk_topic_tools] fix timer start flag of ConstantRateThrottleNodelet
      * [jsk_topic_tools] add a test for ConstantRateThrottle
      * [jsk_topic_tools] enalbe c++11 support
      * [jsk_topic_tools] add ConstantRateThrottleNodelet and sample/docs for it.
        [jsk_topic_tools] add constant_rate_throttle_node files
        [jsk_topic_tools] update for constant_rate_throttle_nodelet
        [jsk_topic_tools] add compiling of constant_rate_throttle_nodelet
        [jsk_topic_tools] update constatn_rate_throttle_nodelet
        [jsk_topic_tools] fix class name for ConstantRateThrottle
        [jsk_topic_tools] fix plugin build
        [jsk_topic_tools] update sample for constant_rate_nodelet
        [jsk_topic_tools] fix bugs
        [jsk_topic_tools] add constant_rate_throttle_nodelet docs
    
  * Fixed typo of Software License Agreement. and/o2r to and/or (#1764 <https://github.com/jsk-ros-pkg/jsk_common/issues/1764>)


=== debian/control ===
Source: ros-one-jsk-topic-tools
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-generation, ros-one-nodelet, ros-one-roscpp, ros-one-roslaunch, ros-one-rosnode, ros-one-rostest, ros-one-rostime, ros-one-rostopic, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-topic-tools
Homepage: http://ros.org/wiki/jsk_topic_tools
Standards-Version: 3.9.2

Package: ros-one-jsk-topic-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iputils-ping, python3-numpy, python3-opencv, python3-scipy, ros-one-diagnostic-aggregator, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-runtime, ros-one-nodelet, ros-one-roscpp, ros-one-roslaunch, ros-one-rosnode, ros-one-rostime, ros-one-rostopic, ros-one-sensor-msgs, ros-one-sound-play, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-topic-tools
Description: jsk_topic_tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-topic-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-topic-tools 2.2.16-2noble.20251208.1003

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-2noble.20251208.1003) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 10:03:39 +0000

## ros-one-jsk-topic-tools 2.2.16-15jammy.20260106.2118

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-15jammy.20260106.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:18:15 +0000

## ros-one-jsk-topic-tools 2.2.16-15jammy.20260221.2204

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-15jammy.20260221.2204) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:04:30 +0000

## ros-one-jsk-topic-tools 2.2.16-15noble.20260106.2125

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-15noble.20260106.2125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:25:38 +0000

## ros-one-jsk-topic-tools 2.2.16-15noble.20260221.2258

=== debian/changelog ===
ros-one-jsk-topic-tools (2.2.16-15noble.20260221.2258) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:58:45 +0000
